public class DigitalOutTest
{
	public static void main(String[] args)
	{
		RoombaControl theControl = RoombaControl.getInstance();
		
		System.out.println("Setting safe mode!");
		
		theControl.setSafeMode();
		
		System.out.println("Sending 1s!");
		
		for(int i = 0; i < 8; ++i)
			theControl.digitalOut(i, 1);
			
		theControl.setPowerLEDState(1.0,1.0);
			
		try
		{
			Thread.sleep(1000);
		}
		catch(Exception e)
		{
			// do nothing
		}
		
		System.out.println("Sending 0s!");
		
		for(int i = 0; i < 8; ++i)
			theControl.digitalOut(i, 0);
	}
}